org.springframework.web.reactive.config

## Class UrlBasedViewResolverRegistration

- java.lang.Object
- - org.springframework.web.reactive.config.UrlBasedViewResolverRegistration

-     public class UrlBasedViewResolverRegistration
      extends Object

  Assist with configuring properties of a `UrlBasedViewResolver`.
  Since:
    5.0
  Author:
    Rossen Stoyanchev

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UrlBasedViewResolverRegistration(UrlBasedViewResolver viewResolver)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected UrlBasedViewResolver` | `getViewResolver()`
    `UrlBasedViewResolverRegistration` | `prefix(String prefix)` Set the prefix that gets prepended to view names when building a URL.
    `UrlBasedViewResolverRegistration` | `suffix(String suffix)` Set the suffix that gets appended to view names when building a URL.
    `UrlBasedViewResolverRegistration` | `viewClass(Class<?> viewClass)` Set the view class that should be used to create views.
    `UrlBasedViewResolverRegistration` | `viewNames(String... viewNames)` Set the view names (or name patterns) that can be handled by this view resolver.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UrlBasedViewResolverRegistration

          public UrlBasedViewResolverRegistration(UrlBasedViewResolver viewResolver)

  - ### Method Detail

    - #### prefix

          public UrlBasedViewResolverRegistration prefix(String prefix)

      Set the prefix that gets prepended to view names when building a URL.
      See Also:
        `UrlBasedViewResolver.setPrefix(java.lang.String)`

    - #### suffix

          public UrlBasedViewResolverRegistration suffix(String suffix)

      Set the suffix that gets appended to view names when building a URL.
      See Also:
        `UrlBasedViewResolver.setSuffix(java.lang.String)`

    - #### viewClass

          public UrlBasedViewResolverRegistration viewClass(Class<?> viewClass)

      Set the view class that should be used to create views.
      See Also:
        `UrlBasedViewResolver.setViewClass(java.lang.Class<?>)`

    - #### viewNames

          public UrlBasedViewResolverRegistration viewNames(String... viewNames)

      Set the view names (or name patterns) that can be handled by this view resolver. View names can contain simple wildcards such that 'my*', '*Report' and '*Repo*' will all match the view name 'myReport'.
      See Also:
        `UrlBasedViewResolver.setViewNames(java.lang.String...)`

    - #### getViewResolver

          protected UrlBasedViewResolver getViewResolver()